#include<stdio.h>

int f(int i) {
	return !i;
}

int main() {
	int a = 0, b = 0, c = 1, d[2];
	
	if (a) {
		printf("test");
	}
	else if (a && b) {
		printf("test");
	}
	
	if (a && b || c) {
		printf("test");
	}
	else if (a && (b || c)) {
		printf("test");
	}
	
	if (f(a && (b || c))) {
		printf("test");
	}
	else if ((f(a && (b || c)) == 0)) {
		printf("test");
	}
	
	if (f(a) && f(b || c)) {
		printf("test");
	}
	else if (f(a) && (f(b) || f(c))) {
		printf("test");
	}

	if (d[a ? 1 : 0]) {
		printf("test");
	}
	
	if (a && b && c) {
		printf("test");
	}
	
	switch(3) {
	case 0:
	case 1:
		printf("test");
	case 2: {
		printf("test");
LABEL:
		break;
	}
	default:
		break;
	}

	switch(3)
		case 0:
		printf("test");
	
	return 0;
}
